with Asis;
package Declaration_Counts is

    type Count_Array_T is array (Asis.Declaration_Kinds) of Integer;

    type Count_T is record
       Count : Count_array_T := ( others => 0 );
    end record;

    procedure Count(CU : in Asis.Compilation_Unit; 
                    The_Counts : in out Count_T);

    procedure Output_Counts(The_Counts : Count_T);

end Declaration_Counts;

